#
# spec file for package python3-jupyter_client-doc
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?suse_version} && ( 0%{?suse_version} != 1315 && 0%{?suse_version} > 1110 )
# LaTex documentation building currently broken
%define build_pdf 0
%else
%define build_pdf 0
%endif

Name:           python3-jupyter_client-doc
Version:        4.3.0
Release:        2.6
Summary:        Documentation for python3-jupyter_client
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://jupyter.org
Source:         https://files.pythonhosted.org/packages/source/j/jupyter_client/jupyter_client-%{version}.tar.gz
BuildRequires:  python3-jupyter_client
# Documentation requirements
BuildRequires:  python3-Sphinx
%if %{build_pdf}
BuildRequires:  python3-Sphinx-latex
%endif
Recommends:     python3-jupyter_client = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Provides:       %{name}-html = %{version}
Provides:       %{name}-pdf = %{version}
Obsoletes:      %{name}-html < %{version}
Obsoletes:      %{name}-pdf < %{version}

%description
Documentation and help files for python3-jupyter_client.

%prep
%setup -q -n jupyter_client-%{version}

%build
# Not needed

%install
# Build the documentation
pushd docs
%if %{build_pdf}
PYTHONPATH=%{buildroot}%{python3_sitelib} make latexpdf
%endif
PYTHONPATH=%{buildroot}%{python3_sitelib} make html
rm -rf _build/html/.buildinfo
popd

%files
%defattr(-,root,root,-)
%doc COPYING.md
%doc docs/_build/html/
%if %{build_pdf}
%doc docs/_build/latex/jupyter_core.pdf
%endif

%changelog
* Fri Jul 29 2016 toddrme2178@gmail.com
- Fixed source URL.
* Wed Jul 27 2016 toddrme2178@gmail.com
- Update to version 4.3.0
  * Adds ``--sys-prefix`` argument to :command:`jupyter kernelspec install`,
    for better symmetry with :command:`jupyter nbextension install`, etc.
- Merge documentation subpackages into single package.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sat Mar 12 2016 arun@gmx.de
- update to version 4.2.2:
  * Another fix for the :func:`start_new_kernel` issue in 4.2.1
    affecting slow-starting kernels.
* Mon Mar  7 2016 arun@gmx.de
- update to version 4.2.1:
  * Fix regression in 4.2 causing :func:`start_new_kernel` to fail
    while waiting for kernels to become available.
* Sat Mar  5 2016 arun@gmx.de
- update to version 4.2.0:
  * added :command:`jupyter kernelspec remove` for removing
    kernelspecs
  * allow specifying the environment for kernel processes via the env
    argument
  * added name field to connection files identifying the kernelspec
    name, so that consumers of connection files (alternate frontends)
    can identify the kernelspec in use
  * added :meth:`KernelSpecManager.get_all_specs` for getting all
    kernelspecs more efficiently
  * various improvements to error messages and documentation
* Wed Feb 17 2016 toddrme2178@gmail.com
- PDF docs still broken
* Wed Feb 17 2016 toddrme2178@gmail.com
- Split documentation to speed up building.
  This is a dependency of a lot of other packages, and the
  dependencies for the documentation are very heavy.  So build
  the documentation separately to avoid holding up the build
  process.
* Thu Jan  7 2016 toddrme2178@gmail.com
- Tests fail with python3-buildservice-tweak
* Sat Oct 10 2015 arun@gmx.de
- update to version 4.1.1:
  * Setuptools fixes for jupyter kernelspec
  * jupyter kernelspec list includes paths
  * add :meth:`KernelManager.blocking_client`
  * provisional implementation of comm_info requests from upcoming 5.1
    release of the protocol
* Thu Oct  1 2015 toddrme2178@gmail.com
- Fix documentation location.
* Thu Oct  1 2015 toddrme2178@gmail.com
- Build documentation
* Fri Aug 14 2015 toddrme2178@gmail.com
- Fix update-alternatives usage
* Tue Jul 21 2015 toddrme2178@gmail.com
- Initial version
